 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DelegatingServletInputStream
  * Author:   xxx
  * Date:     2021/8/27 18:21
  */
 package com.fr.plugin.ihca.request;

 import javax.servlet.ReadListener;
 import javax.servlet.ServletInputStream;
 import java.io.IOException;
 import java.io.InputStream;

 /**
  * <Function Description><br>
  * <DelegatingServletInputStream>
  *
  * @author xxx
  * @since 1.0.0
  */
 public class DelegatingServletInputStream extends ServletInputStream {
     private final InputStream sourceStream;

     public DelegatingServletInputStream(InputStream stream) {
         this.sourceStream = stream;
     }

     public final InputStream getSourceStream() {
         return this.sourceStream;
     }

     @Override
     public int read() throws IOException {
         return this.sourceStream.read();
     }

     @Override
     public void close() throws IOException {
         super.close();
         this.sourceStream.close();
     }

     @Override
     public boolean isFinished() {
         return false;
     }

     @Override
     public boolean isReady() {
         return false;
     }

     @Override
     public void setReadListener(ReadListener listener) {
     }
 }